- Qt 6.6
- Qt GUI
- C++ Classes
- QShortcutEvent
- Qt 6.6.2 Reference Documentation

# Obsolete Members for QShortcutEvent

The following members of class QShortcutEvent are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` | QShortcutEvent(const QKeySequence &key, int id, bool ambiguous = false)
`(deprecated)` int | shortcutId() const

## Member Function Documentation

### QShortcutEvent::QShortcutEvent(const QKeySequence &key, int id, bool ambiguous = false)

This function is deprecated. We strongly advise against using it in new code.

Constructs a shortcut event for the given key press, associated with the QShortcut ID id.

use the other constructor

ambiguous specifies whether there is more than one QShortcut for the same key sequence.

### int QShortcutEvent::shortcutId() const

This function is deprecated. We strongly advise against using it in new code.

Returns the ID of the QShortcut object for which this event was generated.

See also QShortcut::id().